extend("fiskheroes:hero_basic"),
loadTextures({
    "layer1": "knights:cyberman_layer1",
    "layer2": "knights:cyberman_layer2",
});
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    var color = 0xF7FF8B;
   var beam = renderer.createResource("BEAM_RENDERER", "fiskheroes:mysterio_beam");
   utils.bindBeam(renderer, "fiskheroes:charged_beam", beam, "body", 0xF7FF8B, [
    { "firstPerson": [0.2, 4, -4.0], "offset": [0.2, 1.7, -4.0], "size": [10, 1.5] },
   ]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_charged_beam"));
}
function initAnimations(renderer) {
    parent.initAnimations(renderer);
    utils.addFlightAnimationWithLanding(renderer, "iron_man.FLIGHT", "fiskheroes:flight/iron_man.anim.json");
    utils.addHoverAnimation(renderer, "iron_man.HOVER", "fiskheroes:flight/idle/iron_man");
    addAnimationWithData(renderer, "iron_man.LAND", "fiskheroes:superhero_landing", "fiskheroes:dyn/superhero_landing_timer")
        .priority = -8;

    addAnimationWithData(renderer, "iron_man.ROLL", "fiskheroes:flight/barrel_roll", "fiskheroes:barrel_roll_timer")
        .priority = 10;
}